
#include "tcl.h"
#include "tk.h"
#include <string.h>

int EqCmd(ClientData clientData, Tcl_Interp *interp,
		int argc, char *argv[]) {
   if (argc != 3) {
	   //interp->result = "wrong # args";
        // ^^^ to jest przestarzala metoda przekazywania wyniku !!!
      Tcl_SetResult(interp, "wrong # args", TCL_STATIC);
	   return TCL_ERROR;
   }
   if (strcmp(argv[1], argv[2]) == 0) {
	   interp->result = "1";
   } else {
	   interp->result = "0";
   }
   return TCL_OK;
}

extern "C" int Square_Init(Tcl_Interp *interp);

int Tcl_AppInit(interp) Tcl_Interp *interp;
{
    if (Tcl_Init(interp) == TCL_ERROR) {
	   return TCL_ERROR;
    }
    if (Tk_Init(interp) == TCL_ERROR) {
	   return TCL_ERROR;
    }

    if (Square_Init(interp) == TCL_ERROR) {
	   return TCL_ERROR;
    }
    Tcl_CreateCommand(interp,"eq",EqCmd,NULL,NULL);

    return TCL_OK;
}



